package cn.com.countrygarden.bi.main.dao.mediaResource;

import java.util.List;
import java.util.Map;

import javax.transaction.Transactional;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import cn.com.countrygarden.bi.main.dto.BasicInfoDto;
import cn.com.countrygarden.bi.main.model.mediaResource.BasicInfo;
import cn.com.countrygarden.bi.main.model.mediaResource.ErpBasicInfo;
import cn.com.countrygarden.bi.main.model.mediaResource.Regional;

@Repository
@Transactional
public interface BasicInfoMapper {
	
	List<BasicInfo> findErpBasicInfo(@Param("idList")List<String> idList);

	@Select("select provCode,provName from [HM_wygl_new_1853].[dbo].[province]")
	List<Map<String, Object>> provinceData(BasicInfoDto dto);

	@Select("select cityCode,cityName,provCode from [HM_wygl_new_1853].[dbo].[city] where provcode = #{provcode}")	
	List<Map<String, Object>> cityData(BasicInfoDto dto);

	List<ErpBasicInfo> findErpBasicInfo();

	Map<String, String> findErpUserOrgan(String userCode);

	List<Regional> findRegionalProject();

	List<Regional> findCompany(String userCode);


}
